ultrarouter docs
API reference

Members

Workspace membership management.

Workspace membership management.

This page is GENERATED from the OpenAPI spec (openapi.yaml) — it can never drift from the served API. Set UR_BASE_URL (required: your gateway’s URL) and UR_API_KEY (an ur_sk_* key); secrets are always the $UR_API_KEY placeholder.

List workspace members

GET /v1/workspaces/{id}/members

Auth: Session cookie + workspace RBAC.

curl -sS -X GET "$UR_BASE_URL/v1/workspaces/req_0000000000000000/members" \
  -H "Cookie: better-auth.session_token=$UR_SESSION"

Change a member role

PATCH /v1/workspaces/{id}/members/{userId}

Auth: Session cookie + workspace RBAC.

curl -sS -X PATCH "$UR_BASE_URL/v1/workspaces/req_0000000000000000/members/user_0000000000000000" \
  -H "Cookie: better-auth.session_token=$UR_SESSION" \
  -H "Content-Type: application/json" \
  -d '{
    "role": "string"
  }'

Remove a member

DELETE /v1/workspaces/{id}/members/{userId}

Auth: Session cookie + workspace RBAC.

curl -sS -X DELETE "$UR_BASE_URL/v1/workspaces/req_0000000000000000/members/user_0000000000000000" \
  -H "Cookie: better-auth.session_token=$UR_SESSION"